Bug 1121752 - RFE: Generate the install command on the "project page"
Summary: RFE: Generate the install command on the "project page"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: copr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Samalik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 19:10 UTC by Langdon White
Modified: 2014-08-15 06:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 06:41:40 UTC


Attachments (Terms of Use)

Description Langdon White 2014-07-21 19:10:49 UTC
I think it would be handy if on the "project page" for a particular copr repo would be the "install of the repo instructions" automatically generated. For example, for project langdon/foo, it could say on the page:

To use this repository there are two easy options. First, you can either follow the repo link below and cut and paste the repo file content in to a file in /etc/yum/repos.d/ (for example /etc/yum/repos.d/copr.repo ). If you are using a version of Linux which has dnf, you can just run dnf enable langdon/foo.

Comment 1 Miroslav Suchý 2014-07-22 07:21:40 UTC
Sounds reasonable to me.
Although I would rather see there just "How to install" link, which would point to some section of Copr wiki.

Giving to Adam.

Comment 2 Adam Samalik 2014-07-22 15:05:20 UTC
Hi Langdon, thanks for your idea. I have implemented it in commit d7183ea.

Comment 3 Langdon White 2014-07-25 22:47:54 UTC
Sorry I missed the bugzilla notifies, looks pretty awesome! Thanks!


Note You need to log in before you can comment on or make changes to this bug.